API Key

GET /v1/tasks/{id}/content

API Key · GET /v1/tasks/{id}/content

Authentication

API Key. Session/administrative writes are not executed in the public Playground.

Endpoint

curl --request GET 'https://api.oneaster.ai/v1/tasks/00000000-0000-4000-8000-000000000001/content' \
  --header 'Authorization: Bearer '"$ONEASTER_API_KEY" \
  --output artifact.png

Parameters

- id (path, Required): {"type":"string","format":"uuid"}

Responses

200

已结算图片返回私有 PNG,no-store、nosniff,跨用户/Key 404。视频返回 409 provider_url_delivery,请从任务 artifact.url 读取 KIE 链接,不提供 Core 视频代理/归档/Range。

{
  "image/png": {
    "schema": {
      "type": "string",
      "format": "binary"
    }
  }
}

default

错误代码见 core-api.md;供应商/数据库错误已隐藏。

{
  "application/json": {
    "schema": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "success": {
          "const": false
        },
        "error": {
          "type": "object",
          "additionalProperties": false,
          "properties": {
            "code": {
              "type": "string"
            },
            "message": {
              "type": "string"
            },
            "type": {
              "const": "oneaster_error"
            }
          },
          "required": [
            "code",
            "message",
            "type"
          ]
        },
        "data": {
          "type": "null"
        }
      },
      "required": [
        "success",
        "error",
        "data"
      ]
    }
  }
}